.d-none {
    display: none !important;
}

#viz-container-loader {
    z-index: 2;
    position: sticky;
    top: calc(50% - 50px / 2);
    left: calc(50% - 50px / 2);
    margin: -50px 0 0 0;
    width: 50px;
    height: 50px;

    -webkit-animation: svg-spinner-animation 1s linear infinite;
    animation: svg-spinner-animation 1s linear infinite;

    & .path {
        stroke: rgb(59, 113, 202);
        stroke-linecap: round;
        animation: dash 1.5s ease-in-out infinite;
    }
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash {
    0% {
        stroke-dasharray: 1, 150;
        stroke-dashoffset: 0;
    }

    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -35;
    }

    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -124;
    }
}
